= nng_stat_find_dialer(3)

// Copyright 2020 Staysail Systems, Inc. <info@staysail.tech>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.

== NAME

nng_stat_find_dialer - find dialer statistics

== SYNOPSIS

[source,c]
----
#include <nng/nng.h>

typedef struct nng_stat nng_stat;
typedef struct nng_dialer nng_dialer;

nng_stat *nng_stat_find_dialer(nng_stat *stat, nng_dialer dialer);
----

== DESCRIPTION

The `nng_stat_find_dialer()` function returns the statistics tree within _stat_ associated with the dialer _dialer_, if such a tree exists.
Otherwise `NULL` is returned.

Generally, there will be child statistics of the returned value, each corresponding to a specific metric.
These can be further scanned using either
xref:nng_stat_find.3.adoc[nng_stat_find(3)]
or by walking the tree with
xref:nng_stat_child.3.adoc[nng_stat_child(3)].

== RETURN VALUES

The matching statistic, or NULL if no match is found.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:libnng.3.adoc[libnng(3)],
xref:nng_stat_child.3.adoc[nng_stat_child(3)],
xref:nng_stat_find.3.adoc[nng_stat_find(3)],
xref:nng_stat_find_listener.3.adoc[nng_stat_find_listener(3)],
xref:nng_stat_find_socket.3.adoc[nng_stat_find_socket(3)],
xref:nng_stats_get.3.adoc[nng_stats_get(3)],
xref:nng_stat.5.adoc[nng_stat(5)],
xref:nng.7.adoc[nng(7)]
